#!/bin/bash

source "${BASH_SOURCE%/*}/common.sh"

get_sources nginx stretch
cd debian
cp libnginx-mod.nginx.skeleton libnginx-mod-http-shibboleth.nginx
cd modules
git clone "https://github.com/nginx-shib/nginx-http-shibboleth.git"
cd ../..
patch -d . -p0 < ../patches/nginx/00-add-module.patch

dch_custom "Add libnginx-mod-http-shibboleth"
install_build_deps
build
test_install
prepare_artifacts
